import { EditorModule } from "..";
import { EditorMode } from "../../typings";
import { editActions } from "./edit";

export const initActions = EditorModule.action({
  // 模块初始化
  init() {
    const { historyCtrl } = this.controls;
    historyCtrl.proxyActions(Object.keys(editActions));
    this.controls.compUICtrl.init();
    // createProxyEffect(this.store, (type, paths, value) => {
    //   historyCtrl.onChange(this.store, type, paths, value);
    // });
  },

  // 初始化数据
  async initDesign(id: string) {
    const ret = await this.https[
      this.store.isEditComp ? "getCompDetail" : "getDesignDetail"
    ](id);
    this.store.initDesignData(ret.result);
  },
  // 切换模式
  switchMode(v: EditorMode) {
    this.store.setMode(v);
  },
});
