import {
  IconArrowLeft,
  IconArrowRight,
  IconAxis,
  IconBtnNext,
  IconCamera,
  IconClear,
  IconCube,
  IconDelete,
  IconEyeOff,
  IconEyeOn,
  IconLock,
  IconPlus,
  IconRedo,
  IconReduce,
  IconShadow,
  IconShadowOff,
  IconUndo,
  IconUnlock,
} from "@queenjs/icons";
import { createTipIcon } from "./create";

export const TipIcons = {
  Screenshot: createTipIcon({
    icons: [IconCamera],
    tips: ["截屏并保存封面"],
  }),
  Align: createTipIcon({
    icons: [IconArrowLeft, IconAxis, IconArrowRight],
    tips: ["左对齐", "居中", "右对齐"],
  }),
  Position: createTipIcon({
    icons: [IconShadowOff, IconShadow],
    tips: ["开启浮动", "关闭浮动"],
  }),
  Visible: createTipIcon({
    icons: [IconEyeOn, IconEyeOff],
    tips: ["显示", "隐藏"],
  }),
  Lock: createTipIcon({
    icons: [IconLock, IconUnlock],
    tips: ["显示", "隐藏"],
  }),
  Delete: createTipIcon({
    icons: [IconDelete],
    tips: ["删除"],
  }),
  FullWidth: createTipIcon({
    icons: [IconCube],
    tips: ["全屏宽度"],
  }),
  ClearTransform: createTipIcon({
    icons: [IconClear],
    tips: ["清除变换"],
  }),
  undo: createTipIcon({
    icons: [IconUndo],
    tips: ["撤销"],
  }),
  Redo: createTipIcon({
    icons: [IconRedo],
    tips: ["重做"],
  }),
  LayerUp: createTipIcon({
    icons: [IconPlus],
    tips: ["层级上移"],
  }),
  LayerDown: createTipIcon({
    icons: [IconReduce],
    tips: ["层级下移"],
  }),
  ParentComp: createTipIcon({
    icons: [IconBtnNext],
    tips: ["切换到父组件"],
  }),
};
